# Settlement report object

The settlement report object is a pointer to a settlement report generated by Column. Settlement reports contain data about historical bank account balances, and historical bank account transactions (book transfers, ACH, and wires). Read more about [reports here](/guides/reporting).

### Object Parameters

- `bai2_document_id` `string` — The ID of the BAI2 document
- `columns` `array of strings` — List of columns in the settlement report. Refer to Reporting Guidance for more details.
- `completed_at` `date-time` — The timestamp the settlement report was generated successfully
- `created_at` `date-time` — The timestamp the settlement report was scheduled
- `csv_document_id` `string` — Document ID to download the CSV format of the settlement report
- `from_date` `string` — Starting date (inclusive, from the beginning of `from_date` in `time_zone`) of transactions included in the settlement report
- `id` `string` — Unique identifier for the object
- `initiated_at` `date-time` — The timestamp the settlement report was initiated to be processed
- `json_document_id` `string` — Document ID to download the JSON format of the settlement report
- `parquet_document_id` `string` — Document ID to download the Parquet format of the settlement report
- `pdf_document_id` `string` — The ID of the PDF document
- `row_count` `integer` — Total number of records in the settlement report
- `statement_subject` `string` — The subject of the statement
- `statement_subject_description` `string` — Description of the statement subject
- `status` `string` — The current status of the report. Either `scheduled` or `completed`. Reports remain `scheduled` until generation succeeds, at which point they transition to `completed`.
- `time_zone` `string` — Time zone of the settlement report to decide day boundaries. It is a value defined in the IANA TZ database (e.g., America/Los\_Angeles, UTC, etc.).
- `to_date` `string` — Ending date (inclusive, up to the end of `to_date` in `time_zone`) of transactions included in the settlement report
- `type` `string` — Settlement report type. Can be `bank_account_summary`, `bank_account_transaction`, `bank_account_daily_statement`, `loan_daily_summary`.
- `updated_at` `date-time` — The timestamp the settlement report was last updated

**Response 200**

```json
{
  "bai2_document_id": "docu_2Q1ctiJm1NypVqCt8UBC8e4xTfH",
  "columns": [
    null
  ],
  "completed_at": "2024-01-15T09:30:00Z",
  "created_at": "2024-01-15T09:30:00Z",
  "csv_document_id": "docu_2Q1ctiJm1NypVqCt8UBC8e4xTfH",
  "from_date": "2024-01-15",
  "id": "srpt_2Q1ctiJm1NypVqCt8UBC8e4xTfH",
  "initiated_at": "2024-01-15T09:30:00Z",
  "json_document_id": "docu_2Q1ctiJm1NypVqCt8UBC8e4xTfH",
  "parquet_document_id": "docu_2Q1ctiJm1NypVqCt8UBC8e4xTfH",
  "pdf_document_id": "docu_2Q1ctiJm1NypVqCt8UBC8e4xTfH",
  "row_count": 0,
  "statement_subject": null,
  "statement_subject_description": null,
  "status": "pending",
  "time_zone": "America/New_York",
  "to_date": "2024-01-15",
  "type": "CHECKING",
  "updated_at": "2024-01-15T09:30:00Z"
}
```
